Subject: checkTheDatabase hook missing in refactored Install-Tool
Description

I just updated one of my dev setups to current master and one extension that used the checkTheDatabase hook to dynamically create
tables and fields is throwing an exception about the missing interface \TYPO3\CMS\Install\CheckTheDatabaseHookInterface. Up to
6.1, \TYPO3\CMS\Install\Installer evaluated 

$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['ext/install/mod/class.tx_install.php']['checkTheDatabase']

but this code was apparently not migrated in https://review.typo3.org/#/c/21468/.

Related issues:
related to Core - Task # 49162: Rewrite install tool Resolved 2011-10-30

History
#1 - 2013-09-14 21:57 - Christian Kuhn
- Is Regression set to No

Yeah, the hook should probably be re-implemented.

I think there was also some interface for the hook and this will be different from the previous version because it got tx_install as one parameter, and
this class does not exist anymore ... this is a breaking change and we can not circumvent this.

#2 - 2014-03-18 10:49 - Andreas Kiessling

Seems like this can now be done using the signal "tablesDefinitionIsBeingBuilt" to generate the sql setup and the hook
"extTablesInclusion-PostProcessing" to set up TCA. Will try to convert as it seems, that the hook won't reappear in 6.2
Thanks to Thomas Maroschik for the pointer!

#3 - 2014-07-09 19:55 - Wouter Wolters
- Status changed from New to Closed

New way to handle this! See comment above
